<div id="main"   ng-class="{'pushright':showleft }">
   <div class="topmargin container">
        
<!--         <span class="mega-octicon octicon-organization" style="min-width: 32px;" aria-hidden="true"></span> -->
      
                 <div class="row row-centered">
                    <div class="col-xs-3 col-centered"><div class="item"><div class="content" ng-click="showleft = !showleft">
                        <span class="mega-octicon octicon-organization" style="min-width: 32px;" aria-hidden="true"></span></div>
                        </div></div>
                    <div class="col-xs-6 col-centered"><div class="item"><div class="content text-center">Map</div></div></div>
                    <div class="col-xs-3 col-centered"><div class="item"><div class="content pull-right" ><span class="mega-octicon octicon-three-bars" style="min-width: 32px;" aria-hidden="true"></span></div></div></div>
                </div>
   </div>
   <div id='map'>
    <mapbox map-id="dnejay.88ca524e" lat="{{CurrentLat}}" lng="{{CurrentLng}}" width="100%" height="89%" zoom="13" currentLocation="true">
	 
	 <div ng-repeat="litnode in litlocations">
			<marker lat="{{litnode.coords.lat}}" lng="{{litnode.coords.lng}}" color="{{clr}}" icon="{{litnode.icon}}" litkind="{{litnode.litkind}}"  >
		  <h1>{{litnode.name}}</h1>
		  <p></p>
               <button  ng-click="delLocsandindex(litnode.user_id,litnode,$index)" class="btn btn-danger input-block-level form-control"> Remove Marker </button>
		</marker>
	</div>
	 
    <div ng-repeat="litnodef in litfriendlocations">
			<marker lat="{{litnodef.coords.lat}}" lng="{{litnodef.coords.lng}}" color="{{clr}}" icon="{{litnodef.icon}}" litkind="{{litnodef.litkind}}"  >
		  <h1>{{litnodef.name}}</h1>
		  <p></p>
		</marker>
	</div>
        
    </mapbox>
       
        
       
    </div>
    
    
    <svg  width="100" height="200" viewBox="0 0 200 200" class="domecontainer">
      <circle cx="100" cy="100" r="50"  fill="gold" opacity=".3" id="c1"/>
    </svg> 
      <div id="frontwindow" >
        <div class="form-group">
             <input style="display:{{inputvis}};" type="text" class="form-control" id="exampleInputtxt" placeholder="Type a message and click on the map." size="40" ng-model="newloc.name">
             <button class="btn btn-info"  ng-click="addtoggle()">{{ptsbtnlabel}}</button>
        </div>  
<!--        <a id="mapico" href="#/mappage">&#xe84c</a>-->
<!--        <a id="flare" href="#/mappage">&#xe8A9</a>-->
<!--        <a id="socmedico" href="#/mappage">&#xe872</a>-->
      </div>
</div>    
    
<div id="optmenu" >
    <div class="topmargin container">
        
<!--         <span class="mega-octicon octicon-organization" style="min-width: 32px;" aria-hidden="true"></span> -->
      
                 <div class="row row-centered">
                    <div class="col-xs-3 col-centered"><div class="item"><div class="content" >
<!--                        <span class="mega-octicon octicon-organization" style="min-width: 32px;" aria-hidden="true"></span>-->
                        </div>
                        </div></div>
                    <div class="col-xs-6 col-centered"><div class="item"><div class="content text-center">friends</div></div></div>
                    <div class="col-xs-3 col-centered"><div class="item"><div class="content pull-right" ng-click="showleft = !showleft">
                        <span class="mega-octicon octicon-chevron-right" style="min-width: 32px;" aria-hidden="true"></span></div>
                        </div></div>
                </div>
   </div>
    <div class="row" style="margin: auto 1.5em; display: inline-block;">
       

        <div>
<!--
            <img src="{{litprofile.img}}" class="img-rounded" style="height:40px"/>  
              <button ng-click="logout()" class="btn btn-info" > Logout </button>
-->
              <div ng-repeat="litfriend in litfriends" style="color: gainsboro;" >
                                       
                                        <div style="height:100px;width:20vw;float:left; margin: 1em 0;">
                                            <img ng-src="{{litfriend.img}}" class="img-circle" style="height:80px"/>
                                       </div>
                                       <div style="height:100px;width:40vw;background-color:blue;float:left;line-height:80px">
                                          <p style="float:left;">
                                              {{litfriend.last_name}},
                                               {{litfriend.first_name}} 
                                           </p>
                                           <p style="float:right;">
                                            <button ng-click="friendclicked(litfriend.user_id)" type="button" class="btn btn-default" aria-label="Left Align">
                                            <span class="glyphicon fui-bubble" aria-hidden="true"></span>
                                            </button>
                                           </p>
                                        </div><br style="clear:both"/>
            </div>
        </div>
       
    </div>
</div>